
From: Nick Piggin <nickpiggin@yahoo.com.au>

Quiet a warning when compiling without CONFIG_SMP

Signed-off-by: Nick Piggin <nickpiggin@yahoo.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched2-fix-schedstats-warning kernel/sched.c
--- 25/kernel/sched.c~sched2-fix-schedstats-warning	2005-03-17 23:47:56.000000000 -0800
+++ 25-akpm/kernel/sched.c	2005-03-17 23:47:56.000000000 -0800
@@ -315,7 +315,6 @@ static inline void task_rq_unlock(runque
 static int show_schedstat(struct seq_file *seq, void *v)
 {
 	int cpu;
-	enum idle_type itype;
 
 	seq_printf(seq, "version %d\n", SCHEDSTAT_VERSION);
 	seq_printf(seq, "timestamp %lu\n", jiffies);
@@ -341,6 +340,7 @@ static int show_schedstat(struct seq_fil
 #ifdef CONFIG_SMP
 		/* domain-specific stats */
 		for_each_domain(cpu, sd) {
+			enum idle_type itype;
 			char mask_str[NR_CPUS];
 
 			cpumask_scnprintf(mask_str, NR_CPUS, sd->span);
_
